Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -4695,11 +4701,11 @@
              u_comp                   = u(k+1,j,i) + u(k,j,i) - gu
              swap_flux_x_local_w(k,j) = u_comp * (                             &
-                            37.0 * ( w(k,j,i) + w(k,j,i-1)   )                 &
-                          -  8.0 * ( w(k,j,i+1) + w(k,j,i-2) )                 &
-                          +        ( w(k,j,i+2) + w(k,j,i-3) ) ) * adv_mom_5
+                            37.0_wp * ( w(k,j,i) + w(k,j,i-1)   )                 &
+                          -  8.0_wp * ( w(k,j,i+1) + w(k,j,i-2) )                 &
+                          +           ( w(k,j,i+2) + w(k,j,i-3) ) ) * adv_mom_5
              swap_diss_x_local_w(k,j) = - ABS( u_comp ) * (                    &
-                            10.0 * ( w(k,j,i) - w(k,j,i-1)   )                 &
-                          -  5.0 * ( w(k,j,i+1) - w(k,j,i-2) )                 &
-                          +        ( w(k,j,i+2) - w(k,j,i-3) ) ) * adv_mom_5
+                            10.0_wp * ( w(k,j,i) - w(k,j,i-1)   )                 &
+                          -  5.0_wp * ( w(k,j,i+1) - w(k,j,i-2) )                 &
+                          +           ( w(k,j,i+2) - w(k,j,i-3) ) ) * adv_mom_5
 
           ENDDO
@@ -4718,14 +4724,14 @@
              v_comp                 = v(k+1,j,i) + v(k,j,i) - gv
              swap_flux_y_local_w(k) = v_comp * (                              &
-                                    ( 37.0 * ibit32 * adv_mom_5               &
-                                 +     7.0 * ibit31 * adv_mom_3               &
-                                 +           ibit30 * adv_mom_1               &
-                                    ) *                                       &
+                                    ( 37.0_wp * ibit32 * adv_mom_5               &
+                                 +     7.0_wp * ibit31 * adv_mom_3               &
+                                 +              ibit30 * adv_mom_1               &
+                                    ) *                                        &
                                      ( w(k,j,i)   + w(k,j-1,i) )              &
-                             -      (  8.0 * ibit32 * adv_mom_5               &
-                                 +           ibit31 * adv_mom_3               &
+                             -      (  8.0_wp * ibit32 * adv_mom_5               &
+                                 +              ibit31 * adv_mom_3               &
                                     ) *                                       &
                                      ( w(k,j+1,i) + w(k,j-2,i) )              &
-                             +      (        ibit32 * adv_mom_5               &
+                             +      (           ibit32 * adv_mom_5               &
                                     ) *                                       &
                                      ( w(k,j+2,i) + w(k,j-3,i) )              &
@@ -4733,14 +4739,14 @@
 
              swap_diss_y_local_w(k) = - ABS( v_comp ) * (                     &
-                                    ( 10.0 * ibit32 * adv_mom_5               &
-                                 +     3.0 * ibit31 * adv_mom_3               &
-                                 +           ibit30 * adv_mom_1               &
+                                    ( 10.0_wp * ibit32 * adv_mom_5               &
+                                 +     3.0_wp * ibit31 * adv_mom_3               &
+                                 +              ibit30 * adv_mom_1               &
                                     ) *                                       &
                                      ( w(k,j,i)   - w(k,j-1,i) )              &
-                             -      (  5.0 * ibit32 * adv_mom_5               &
-                                 +           ibit31 * adv_mom_3               &
+                             -      (  5.0_wp * ibit32 * adv_mom_5               &
+                                 +              ibit31 * adv_mom_3               &
                                     ) *                                       &
                                      ( w(k,j+1,i) - w(k,j-2,i) )              &
-                             +      (        ibit32 * adv_mom_5               &
+                             +      (           ibit32 * adv_mom_5               &
                                     ) *                                       &
                                      ( w(k,j+2,i) - w(k,j-3,i) )              &
@@ -4753,11 +4759,11 @@
              v_comp                 = v(k+1,j,i) + v(k,j,i) - gv
              swap_flux_y_local_w(k) = v_comp * (                              &
-                           37.0 * ( w(k,j,i) + w(k,j-1,i)   )                 &
-                         -  8.0 * ( w(k,j+1,i) +w(k,j-2,i)  )                 &
-                         +        ( w(k,j+2,i) + w(k,j-3,i) ) ) * adv_mom_5
+                           37.0_wp * ( w(k,j,i) + w(k,j-1,i)   )                 &
+                         -  8.0_wp * ( w(k,j+1,i) +w(k,j-2,i)  )                 &
+                         +           ( w(k,j+2,i) + w(k,j-3,i) ) ) * adv_mom_5
              swap_diss_y_local_w(k) = - ABS( v_comp ) * (                     &
-                           10.0 * ( w(k,j,i) - w(k,j-1,i)   )                 &
-                         -  5.0 * ( w(k,j+1,i) - w(k,j-2,i) )                 &
-                         +        ( w(k,j+2,i) - w(k,j-3,i) ) ) * adv_mom_5
+                           10.0_wp * ( w(k,j,i) - w(k,j-1,i)   )                 &
+                         -  5.0_wp * ( w(k,j+1,i) - w(k,j-2,i) )                 &
+                         +           ( w(k,j+2,i) - w(k,j-3,i) ) ) * adv_mom_5
 
           ENDDO
@@ -4784,14 +4790,14 @@
                 u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
                 flux_r(k) = u_comp * (                                       &
-                          ( 37.0 * ibit29 * adv_mom_5                        &
-                       +     7.0 * ibit28 * adv_mom_3                        &
-                       +           ibit27 * adv_mom_1                        &
+                          ( 37.0_wp * ibit29 * adv_mom_5                        &
+                       +     7.0_wp * ibit28 * adv_mom_3                        &
+                       +              ibit27 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j,i+1) + w(k,j,i)   )                 &
-                   -      (  8.0 * ibit29 * adv_mom_5                        &
-                       +           ibit28 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit29 * adv_mom_5                        &
+                       +              ibit28 * adv_mom_3                        &
                           ) *                                                &
                                  ( w(k,j,i+2) + w(k,j,i-1) )                 &
-                   +      (        ibit29 * adv_mom_5                        &
+                   +      (           ibit29 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j,i+3) + w(k,j,i-2) )                 &
@@ -4799,14 +4805,14 @@
 
                 diss_r(k) = - ABS( u_comp ) * (                              &
-                          ( 10.0 * ibit29 * adv_mom_5                        &
-                       +     3.0 * ibit28 * adv_mom_3                        &
-                       +           ibit27 * adv_mom_1                        &
+                          ( 10.0_wp * ibit29 * adv_mom_5                        &
+                       +     3.0_wp * ibit28 * adv_mom_3                        &
+                       +              ibit27 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j,i+1) - w(k,j,i)  )                  &
-                   -      (  5.0 * ibit29 * adv_mom_5                        &
-                       +           ibit28 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit29 * adv_mom_5                        &
+                       +              ibit28 * adv_mom_3                        &
                           ) *                                                &
                                  ( w(k,j,i+2) - w(k,j,i-1) )                 &
-                   +      (        ibit29 * adv_mom_5                        &
+                   +      (           ibit29 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j,i+3) - w(k,j,i-2) )                 &
@@ -4819,14 +4825,14 @@
                 v_comp    = v(k+1,j+1,i) + v(k,j+1,i) - gv
                 flux_n(k) = v_comp * (                                       &
-                          ( 37.0 * ibit32 * adv_mom_5                        &
-                       +     7.0 * ibit31 * adv_mom_3                        &
-                       +           ibit30 * adv_mom_1                        &
+                          ( 37.0_wp * ibit32 * adv_mom_5                        &
+                       +     7.0_wp * ibit31 * adv_mom_3                        &
+                       +              ibit30 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j+1,i) + w(k,j,i)   )                 &
-                   -      (  8.0 * ibit32 * adv_mom_5                        &
-                       +           ibit31 * adv_mom_3                        &
-                          ) *                                                &
+                   -      (  8.0_wp * ibit32 * adv_mom_5                        &
+                       +              ibit31 * adv_mom_3                        &
+                          ) *                                                 &
                                  ( w(k,j+2,i) + w(k,j-1,i) )                 &
-                   +      (        ibit32 * adv_mom_5                        &
+                   +      (           ibit32 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j+3,i) + w(k,j-2,i) )                 &
@@ -4834,14 +4840,14 @@
 
                 diss_n(k) = - ABS( v_comp ) * (                              &
-                          ( 10.0 * ibit32 * adv_mom_5                        &
-                       +     3.0 * ibit31 * adv_mom_3                        &
-                       +           ibit30 * adv_mom_1                        &
+                          ( 10.0_wp * ibit32 * adv_mom_5                        &
+                       +     3.0_wp * ibit31 * adv_mom_3                        &
+                       +              ibit30 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j+1,i) - w(k,j,i)  )                  &
-                   -      (  5.0 * ibit32 * adv_mom_5                        &
-                       +           ibit31 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit32 * adv_mom_5                        &
+                       +              ibit31 * adv_mom_3                        &
                           ) *                                                &
                                  ( w(k,j+2,i) - w(k,j-1,i) )                 &
-                   +      (        ibit32 * adv_mom_5                        &
+                   +      (           ibit32 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j+3,i) - w(k,j-2,i) )                 &
@@ -4860,14 +4866,14 @@
                 w_comp    = w(k+1,j,i) + w(k,j,i)
                 flux_t(k) = w_comp  * (                                      &
-                          ( 37.0 * ibit35 * adv_mom_5                        &
-                       +     7.0 * ibit34 * adv_mom_3                        &
-                       +           ibit33 * adv_mom_1                        &
+                          ( 37.0_wp * ibit35 * adv_mom_5                        &
+                       +     7.0_wp * ibit34 * adv_mom_3                        &
+                       +              ibit33 * adv_mom_1                        &
                           ) *                                                &
                              ( w(k+1,j,i)  + w(k,j,i)     )                  &
-                   -      (  8.0 * ibit35 * adv_mom_5                        &
-                       +           ibit34 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit35 * adv_mom_5                        &
+                       +              ibit34 * adv_mom_3                        &
                           ) *                                                &
                              ( w(k_pp,j,i)  + w(k-1,j,i)  )                  &
-                   +      (        ibit35 * adv_mom_5                        &
+                   +      (           ibit35 * adv_mom_5                        &
                           ) *                                                &
                              ( w(k_ppp,j,i) + w(k_mm,j,i) )                  &
@@ -4875,14 +4881,14 @@
 
                 diss_t(k) = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit35 * adv_mom_5                        &
-                       +     3.0 * ibit34 * adv_mom_3                        &
-                       +           ibit33 * adv_mom_1                        &
+                          ( 10.0_wp * ibit35 * adv_mom_5                        &
+                       +     3.0_wp * ibit34 * adv_mom_3                        &
+                       +              ibit33 * adv_mom_1                        &
                           ) *                                                &
                              ( w(k+1,j,i)   - w(k,j,i)    )                  &
-                   -      (  5.0 * ibit35 * adv_mom_5                        &
-                       +           ibit34 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit35 * adv_mom_5                        &
+                       +              ibit34 * adv_mom_3                        &
                           ) *                                                &
                              ( w(k_pp,j,i)  - w(k-1,j,i)  )                  &
-                   +      (        ibit35 * adv_mom_5                        &
+                   +      (           ibit35 * adv_mom_5                        &
                           ) *                                                &
                              ( w(k_ppp,j,i) - w(k_mm,j,i) )                  &
@@ -4896,5 +4902,5 @@
                     +   ( w_comp      - ( w(k,j,i)   + w(k-1,j,i) ) )        &
                                                                  * ddzu(k+1) &
-                      ) * 0.5
+                      ) * 0.5_wp
 
                 tend(k,j,i) = tend(k,j,i) - (                                 &
@@ -4927,23 +4933,23 @@
                 u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
                 flux_r(k) = u_comp * (                                      &
-                      37.0 * ( w(k,j,i+1) + w(k,j,i)   )                    &
-                    -  8.0 * ( w(k,j,i+2) + w(k,j,i-1) )                    &
-                    +        ( w(k,j,i+3) + w(k,j,i-2) ) ) * adv_mom_5
+                      37.0_wp * ( w(k,j,i+1) + w(k,j,i)   )                    &
+                    -  8.0_wp * ( w(k,j,i+2) + w(k,j,i-1) )                    &
+                    +           ( w(k,j,i+3) + w(k,j,i-2) ) ) * adv_mom_5
 
                 diss_r(k) = - ABS( u_comp ) * (                             &
-                      10.0 * ( w(k,j,i+1) - w(k,j,i)   )                    &
-                    -  5.0 * ( w(k,j,i+2) - w(k,j,i-1) )                    &
-                    +        ( w(k,j,i+3) - w(k,j,i-2) ) ) * adv_mom_5
+                      10.0_wp * ( w(k,j,i+1) - w(k,j,i)   )                    &
+                    -  5.0_wp * ( w(k,j,i+2) - w(k,j,i-1) )                    &
+                    +           ( w(k,j,i+3) - w(k,j,i-2) ) ) * adv_mom_5
 
                 v_comp    = v(k+1,j+1,i) + v(k,j+1,i) - gv
                 flux_n(k) = v_comp * (                                      &
-                      37.0 * ( w(k,j+1,i) + w(k,j,i)   )                    &
-                    -  8.0 * ( w(k,j+2,i) + w(k,j-1,i) )                    &
-                    +        ( w(k,j+3,i) + w(k,j-2,i) ) ) * adv_mom_5
+                      37.0_wp * ( w(k,j+1,i) + w(k,j,i)   )                    &
+                    -  8.0_wp * ( w(k,j+2,i) + w(k,j-1,i) )                    &
+                    +           ( w(k,j+3,i) + w(k,j-2,i) ) ) * adv_mom_5
 
                 diss_n(k) = - ABS( v_comp ) * (                             &
-                      10.0 * ( w(k,j+1,i) - w(k,j,i)   )                    &
-                    -  5.0 * ( w(k,j+2,i) - w(k,j-1,i) )                    &
-                    +        ( w(k,j+3,i) - w(k,j-2,i) ) ) * adv_mom_5
+                      10.0_wp * ( w(k,j+1,i) - w(k,j,i)   )                    &
+                    -  5.0_wp * ( w(k,j+2,i) - w(k,j-1,i) )                    &
+                    +           ( w(k,j+3,i) - w(k,j-2,i) ) ) * adv_mom_5
 !
 !--             k index has to be modified near bottom and top, else array
@@ -4959,14 +4965,14 @@
                 w_comp    = w(k+1,j,i) + w(k,j,i)
                 flux_t(k) = w_comp  * (                                      &
-                          ( 37.0 * ibit35 * adv_mom_5                        &
-                       +     7.0 * ibit34 * adv_mom_3                        &
-                       +           ibit33 * adv_mom_1                        &
+                          ( 37.0_wp * ibit35 * adv_mom_5                        &
+                       +     7.0_wp * ibit34 * adv_mom_3                        &
+                       +              ibit33 * adv_mom_1                        &
                           ) *                                                &
                              ( w(k+1,j,i)  + w(k,j,i)     )                  &
-                   -      (  8.0 * ibit35 * adv_mom_5                        &
-                       +           ibit34 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit35 * adv_mom_5                        &
+                       +              ibit34 * adv_mom_3                        &
                           ) *                                                &
                              ( w(k_pp,j,i)  + w(k-1,j,i)  )                  &
-                   +      (        ibit35 * adv_mom_5                        &
+                   +      (           ibit35 * adv_mom_5                        &
                           ) *                                                &
                              ( w(k_ppp,j,i) + w(k_mm,j,i) )                  &
@@ -4974,14 +4980,14 @@
 
                 diss_t(k) = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit35 * adv_mom_5                        &
-                       +     3.0 * ibit34 * adv_mom_3                        &
-                       +           ibit33 * adv_mom_1                        &
+                          ( 10.0_wp * ibit35 * adv_mom_5                        &
+                       +     3.0_wp * ibit34 * adv_mom_3                        &
+                       +              ibit33 * adv_mom_1                        &
                           ) *                                                &
                              ( w(k+1,j,i)   - w(k,j,i)    )                  &
-                   -      (  5.0 * ibit35 * adv_mom_5                        &
-                       +           ibit34 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit35 * adv_mom_5                        &
+                       +              ibit34 * adv_mom_3                        &
                           ) *                                                &
                              ( w(k_pp,j,i)  - w(k-1,j,i)  )                  &
-                   +      (        ibit35 * adv_mom_5                        &
+                   +      (           ibit35 * adv_mom_5                        &
                           ) *                                                &
                              ( w(k_ppp,j,i) - w(k_mm,j,i) )                  &
@@ -4995,5 +5001,5 @@
                     +   ( w_comp      - ( w(k,j,i)   + w(k-1,j,i) ) )        &
                                                                  * ddzu(k+1) &
-                      ) * 0.5
+                      ) * 0.5_wp
 
                 tend(k,j,i) = tend(k,j,i) - (                                 &
@@ -5094,6 +5100,6 @@
        REAL(wp)    ::  w_comp   !:
 
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 
 
@@ -5111,14 +5117,14 @@
                 u_comp_l                 = u(k+1,j,i) + u(k,j,i) - gu
                 flux_l                   = u_comp_l * (                        &
-                                      ( 37.0 * ibit29 * adv_mom_5              &
-                                   +     7.0 * ibit28 * adv_mom_3              &
-                                   +           ibit27 * adv_mom_1              &
+                                      ( 37.0_wp * ibit29 * adv_mom_5              &
+                                   +     7.0_wp * ibit28 * adv_mom_3              &
+                                   +              ibit27 * adv_mom_1              &
                                       ) *                                      &
                                      ( w(k,j,i)   + w(k,j,i-1) )               &
-                               -      (  8.0 * ibit29 * adv_mom_5              &
-                                   +           ibit28 * adv_mom_3              &
+                               -      (  8.0_wp * ibit29 * adv_mom_5              &
+                                   +              ibit28 * adv_mom_3              &
                                       ) *                                      &
                                      ( w(k,j,i+1) + w(k,j,i-2) )               &
-                               +      (        ibit29 * adv_mom_5              &
+                               +      (           ibit29 * adv_mom_5              &
                                       ) *                                      &
                                      ( w(k,j,i+2) + w(k,j,i-3) )               &
@@ -5126,14 +5132,14 @@
 
                 diss_l                    = - ABS( u_comp_l ) * (              &
-                                        ( 10.0 * ibit29 * adv_mom_5            &
-                                     +     3.0 * ibit28 * adv_mom_3            &
-                                     +           ibit27 * adv_mom_1            &
+                                        ( 10.0_wp * ibit29 * adv_mom_5            &
+                                     +     3.0_wp * ibit28 * adv_mom_3            &
+                                     +              ibit27 * adv_mom_1            &
                                         ) *                                    &
                                      ( w(k,j,i)   - w(k,j,i-1) )               &
-                                 -      (  5.0 * ibit29 * adv_mom_5            &
-                                     +           ibit28 * adv_mom_3            &
+                                 -      (  5.0_wp * ibit29 * adv_mom_5            &
+                                     +              ibit28 * adv_mom_3            &
                                         ) *                                    &
                                      ( w(k,j,i+1) - w(k,j,i-2) )               &
-                                 +      (        ibit29 * adv_mom_5            &
+                                 +      (           ibit29 * adv_mom_5            &
                                         ) *                                    &
                                      ( w(k,j,i+2) - w(k,j,i-3) )               &
@@ -5142,14 +5148,14 @@
                 u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
                 flux_r    = u_comp * (                                       &
-                          ( 37.0 * ibit29 * adv_mom_5                        &
-                       +     7.0 * ibit28 * adv_mom_3                        &
-                       +           ibit27 * adv_mom_1                        &
+                          ( 37.0_wp * ibit29 * adv_mom_5                        &
+                       +     7.0_wp * ibit28 * adv_mom_3                        &
+                       +              ibit27 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j,i+1) + w(k,j,i)   )                 &
-                   -      (  8.0 * ibit29 * adv_mom_5                        &
-                       +           ibit28 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit29 * adv_mom_5                        &
+                       +              ibit28 * adv_mom_3                        &
                           ) *                                                &
                                  ( w(k,j,i+2) + w(k,j,i-1) )                 &
-                   +      (        ibit29 * adv_mom_5                        &
+                   +      (           ibit29 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j,i+3) + w(k,j,i-2) )                 &
@@ -5157,14 +5163,14 @@
 
                 diss_r    = - ABS( u_comp ) * (                              &
-                          ( 10.0 * ibit29 * adv_mom_5                        &
-                       +     3.0 * ibit28 * adv_mom_3                        &
-                       +           ibit27 * adv_mom_1                        &
+                          ( 10.0_wp * ibit29 * adv_mom_5                        &
+                       +     3.0_wp * ibit28 * adv_mom_3                        &
+                       +              ibit27 * adv_mom_1                        &
                           ) *                                                &
                                  ( w(k,j,i+1) - w(k,j,i)  )                  &
-                   -      (  5.0 * ibit29 * adv_mom_5                        &
-                       +           ibit28 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit29 * adv_mom_5                        &
+                       +              ibit28 * adv_mom_3                        &
                           ) *                                                &
                                  ( w(k,j,i+2) - w(k,j,i-1) )                 &
-                   +      (        ibit29 * adv_mom_5                        &
+                   +      (           ibit29 * adv_mom_5                        &
                           ) *                                                &
                                  ( w(k,j,i+3) - w(k,j,i-2) )                 &
@@ -5176,14 +5182,14 @@
                 v_comp_s               = v(k+1,j,i) + v(k,j,i) - gv
                 flux_s                 = v_comp_s * (                         &
-                                    ( 37.0 * ibit32 * adv_mom_5               &
-                                 +     7.0 * ibit31 * adv_mom_3               &
-                                 +           ibit30 * adv_mom_1               &
+                                    ( 37.0_wp * ibit32 * adv_mom_5               &
+                                 +     7.0_wp * ibit31 * adv_mom_3               &
+                                 +              ibit30 * adv_mom_1               &
                                     ) *                                       &
                                      ( w(k,j,i)   + w(k,j-1,i) )              &
-                             -      (  8.0 * ibit32 * adv_mom_5               &
-                                 +           ibit31 * adv_mom_3               &
+                             -      (  8.0_wp * ibit32 * adv_mom_5               &
+                                 +              ibit31 * adv_mom_3               &
                                     ) *                                       &
                                      ( w(k,j+1,i) + w(k,j-2,i) )              &
-                             +      (        ibit32 * adv_mom_5               &
+                             +      (           ibit32 * adv_mom_5               &
                                     ) *                                       &
                                      ( w(k,j+2,i) + w(k,j-3,i) )              &
@@ -5191,14 +5197,14 @@
 
                 diss_s                 = - ABS( v_comp_s ) * (                &
-                                    ( 10.0 * ibit32 * adv_mom_5               &
-                                 +     3.0 * ibit31 * adv_mom_3               &
-                                 +           ibit30 * adv_mom_1               &
+                                    ( 10.0_wp * ibit32 * adv_mom_5               &
+                                 +     3.0_wp * ibit31 * adv_mom_3               &
+                                 +              ibit30 * adv_mom_1               &
                                     ) *                                       &
                                      ( w(k,j,i)   - w(k,j-1,i) )              &
-                             -      (  5.0 * ibit32 * adv_mom_5               &
-                                 +           ibit31 * adv_mom_3               &
+                             -      (  5.0_wp * ibit32 * adv_mom_5               &
+                                 +              ibit31 * adv_mom_3               &
                                     ) *                                       &
                                      ( w(k,j+1,i) - w(k,j-2,i) )              &
-                             +      (        ibit32 * adv_mom_5               &
+                             +      (           ibit32 * adv_mom_5               &
                                     ) *                                       &
                                      ( w(k,j+2,i) - w(k,j-3,i) )              &
